dofile "/www/web/wifi/cgiutils.lua"
dofile "/www/web/wifi/common-handler.lua"

local function unCollect(env)
  local ip = env.REMOTE_ADDR
  local ssid = getSsid(env)
  local cmd = "ipset del -! collector" .. ssid .. " " .. ip
  pcall(cmdCall, cmd)
end

function collect(env)
  local ip = env.REMOTE_ADDR
  local mac = getMac(env)
  local data = { ip = ip, mac = mac, ua = env.HTTP_USER_AGENT }
  local cmd = table2Qs(data, " ", "=", true) .. " /www/script/collector/ip-ua-dump.sh"
  pcall(cmdCall, cmd)
end

function handle_request(env)
  if not env.HTTP_USER_AGENT then
    env.HTTP_USER_AGENT = env.headers["User-Agent"] or env.headers["user-agent"]
  end

  unCollect(env)
  handleLoggedIn(env, true)
  collect(env)
end
